package org.apache.bcel.classfile;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.DataInput;
import java.io.DataOutputStream;
import java.io.IOException;
import org.apache.bcel.classfile.Constant;
import org.apache.bcel.classfile.ConstantObject;
import org.apache.bcel.classfile.ConstantPool;
import org.apache.bcel.classfile.Visitor;

public final class ConstantLong extends Constant implements ConstantObject {
  private long bytes;
  
  public ConstantLong(org.apache.bcel.classfile.ConstantLong c) {
    this(c.getBytes());
  }
  
  ConstantLong(DataInput file) throws IOException {
    this(file.readLong());
  }
  
  public ConstantLong(long bytes) {
    super((byte)5);
    this.bytes = bytes;
  }
  
  public void accept(Visitor v) {
    v.visitConstantLong(this);
  }
  
  public void dump(DataOutputStream file) throws IOException {
    file.writeByte(getTag());
    file.writeLong(this.bytes);
  }
  
  public long getBytes() {
    return this.bytes;
  }
  
  public Object getConstantValue(ConstantPool cp) {
    return Long.valueOf(this.bytes);
  }
  
  public void setBytes(long bytes) {
    this.bytes = bytes;
  }
  
  public String toString() {
    return super.toString() + "(bytes = " + this.bytes + ")";
  }
}
